%define upstream_name    GnuPG
%define upstream_version 0.19

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 7

Summary:    Perl interface to the GNU privacy guard
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module//%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: gnupg
BuildArch:  noarch

%description
GnuPG is a perl interface to the GNU Privacy Guard. It uses the shared
memory coprocess interface that gpg provides for its wrappers. It tries its
best to map the interactive interface of the gpg to a more programmatic
model.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make

%check
%make test

%install
%makeinstall_std

%files
%doc COPYING ChangeLog META.json META.yml MYMETA.yml NEWS README
%{_mandir}/man3/*
%perl_vendorlib/*
/usr/bin/gpgmailtunl
/usr/share/man/man1/gpgmailtunl.1.xz


%changelog
* Sun Jun 19 2016 pterjan <pterjan> 0.190.0-7.mga6
+ Revision: 1027954
- Rebuild for perl 5.22.2

* Wed Feb 03 2016 umeabot <umeabot> 0.190.0-6.mga6
+ Revision: 933349
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0.190.0-5.mga5
+ Revision: 739049
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.190.0-4.mga5
+ Revision: 684885
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 0.190.0-3.mga4
+ Revision: 511921
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 0.190.0-2.mga3
+ Revision: 367828
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Jun 05 2012 kharec <kharec> 0.190.0-1.mga3
+ Revision: 254739
- Add gpg as BR
- update to 0.19

* Tue Nov 22 2011 kharec <kharec> 0.180.0-1.mga2
+ Revision: 171015
- update to 0.18

* Tue Nov 22 2011 kharec <kharec> 0.170.0-1.mga2
+ Revision: 170938
- imported package perl-GnuPG


* Tue Nov 22 2011 cpan2dist 0.17-1mga
- initial mageia release, generated with cpan2dist
